#Validation for User
um.user.notexist=User must exist
um.user.notfound=User can not be found
um.user.duplicatename=User with same name has already exist, cannot {0} the data

#Validation for UserType
um.usertype.notexist=UserType must exist
um.usertype.notfound=UserType can not be found
um.usertype.duplicatename=UserType with same name has already exist, cannot {0} the data

#Validation for variable
um.id.mustnull='id' must be null
um.id.notnull='id' must not be null
um.name.notempty='name' must not be null
um.name.notnull='name' must not be empty
um.name.length=Length of 'name' must be between 2 and 100
um.type.notnull='type' must not be null
um.date.invalidpattern = pattern of 'date' must be 'yyyy-MM-dd'T'HH:mm:ssZ'